#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh  - Installscript for Monitoring
#
# Creation:     18.10.2005  Stephan Sanders
# Last Update:  18.03.2018  Stephan Sanders
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

package_name=monitoring
/var/install/bin/add-menu setup.services.menu setup.services.${package_name}.menu "Monitoring & Report"

# Restoring footer and header files
if [ -f /var/lib/monitoring/monitoring.header.orig ]
then
    mv /var/lib/monitoring/monitoring.header.orig /var/lib/monitoring/monitoring.header
fi
if [ -f /var/lib/monitoring/monitoring.footer.orig ]
then
    mv /var/lib/monitoring/monitoring.footer.orig /var/lib/monitoring/monitoring.footer
fi

# Support fuer MiniHTTPD
if [ -f /var/install/packages/mini_httpd ]
then
    /usr/local/bin/httpd-menu.sh remove "./monitoring.cgi" "Monitoring" "Tools" 2>/dev/null
    /usr/local/bin/httpd-menu.sh add "./monitoring.cgi" "Monitoring" "Tools" 2>/dev/null
fi

# Create default configuration
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
else
    update=false
fi

/var/install/config.d/${package_name}-update.sh

# Configure package on update
if ${update}
then
    /var/install/config.d/${package_name}.sh
fi

exit 0
