#!/bin/sh
#---------------------------------------------------------------------------- 
# /tmp/preinstall.sh  - Preinstall for Monitoring
#
# Creation:     18.10.2005  Stephan Sanders
# Last Update:  23.03.2018  Stephan Sanders
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

package_name=monitoring

# Handling of faulty deinstallation on update if package version < 0.4.0
if [ "$(eisman check ${package_name} 0.4.0)" = "new" ]
then
    rm -f /var/install/deinstall/${package_name}
    mkdir -p /var/lib/monitoring
    mv /etc/monitoring.header /var/lib/monitoring/monitoring.header.orig
    mv /etc/monitoring.footer /var/lib/monitoring/monitoring.footer.orig
fi

# Preserve Mailheader and Footer
if [ -f /var/lib/monitoring/monitoring.header ]
then
    mv /var/lib/monitoring/monitoring.header /var/lib/monitoring/monitoring.header.orig
fi

if [ -f /var/lib/monitoring/monitoring.footer ]
then
    mv /var/lib/monitoring/monitoring.footer /var/lib/monitoring/monitoring.footer.orig
fi

# eisman uninstall is called automatically when this script finishes

exit 0
