#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/config.d/monitoring.sh  - Monitoring Configuration
#
# Creation:     27.11.2005  Stephan Sanders
# Last Update:  15.03.2018  Stephan Sanders
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=monitoring

# config einlesen
. /etc/config.d/${package_name}

#ls /etc/config.d
#exit 0

# include eislib
. /var/install/include/eislib

crontab_file=/var/cron/etc/root/${package_name}

# Ueberpruefe ob Monitoring aktiviert werden soll?

if [ "$START_MONITORING" = "yes" ] 
then
    mecho --info "Config wird erstellt!"
    mecho --info "Flag-file wird geloescht!"

    # rm -r -f /var/run/monitoring-flag.new
    rm -f /var/run/monitoring-flag.old

    # init laeufe zum erstellen der flags

    mecho --info "Flagfile wird angelegt! wait a moment!"
    /usr/local/bin/monitoring.sh config

    # ein Durchgang reicht!
    # /usr/local/bin/monitoring.sh

    # Schreibe allgemeinen Teil in die monitoring.sh

    if [ "$MONITORING_CRON" != "" ]
    then
        # Fuege Crontab hinzu 
        # write cronjob file header
        {
        echo "#"
        echo "# Do not edit this file, edit /etc/config.d/monitoring"
        echo "# Creation date: `date`"
        echo "!nolog(true)"
        } > $crontab_file
        echo "$MONITORING_CRON /usr/local/bin/monitoring.sh" >> $crontab_file
        echo "!nolog(false)" >> $crontab_file
    else
        # delete existing file
        rm -f $crontab_file
    fi

    # update crontab file
    /var/install/config.d/cron >/dev/null 2>/dev/null
else
    mecho --info "Monitoring wurde nicht gestartet weil START_MONITORING=no"
    # delete existing file
    rm -f $crontab_file
    # update crontab file
    /var/install/config.d/cron >/dev/null 2>/dev/null
fi
